## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name ast-monitor

Name:           python-%{pypi_name}
Version:        0.5.5
Release:        %autorelease
Summary:        AST-Monitor is a wearable Raspberry Pi computer for cyclists

%global forgeurl https://github.com/firefly-cpp/AST-Monitor
%global tag %{version}
%forgemeta

License:        MIT
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
# https://docs.fedoraproject.org/en-US/packaging-guidelines/#_noarch_with_unported_dependencies
# This package requires python3dist(pyqtwebengine).
ExclusiveArch: %{qt6_qtwebengine_arches} noarch

BuildRequires:  python3-devel
# For qt6_qtwebengine_arches macro:
BuildRequires:  qt6-srpm-macros
BuildRequires:  %{py3_dist toml-adapt}
%if %{with tests}
BuildRequires:  %{py3_dist pytest}
%endif

%global _description %{expand:
AST-monitor is a low-cost and efficient embedded device for monitoring the
realization of sport training sessions that is dedicated to monitor cycling
training sessions. AST-Monitor is a part of Artificial Sport Trainer (AST)
system.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}
Obsoletes:      python-ast-monitor-doc < 0.5.2-2

%description -n python3-%{pypi_name} %_description

%prep
%forgeautosetup -p1
rm -fv poetry.lock

# Make deps consistent with Fedora deps
toml-adapt -path pyproject.toml -a change -dep ALL -ver X

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ast_monitor

%check
%if %{with tests}
%pytest -v
%else
%pyproject_check_import
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md CHANGELOG.md CITATION.cff HARDWARE_CONFIGURATION.md

%changelog
## START: Generated by rpmautospec
* Thu Apr 17 2025 Packit <hello@packit.dev> - 0.5.5-1
- Update to 0.5.5 upstream release
- Resolves: rhbz#2360674

* Thu Jan 23 2025 Sandro <devel@penguinpee.nl> - 0.5.3-1
- Update to 0.5.3
- Apply patch for sport-ativities-features 0.5.0
- Close RHBZ#2341126

* Thu Jan 23 2025 Sandro <devel@penguinpee.nl> - 0.5.2-5
- Drop the doc sub package

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Oct 20 2024 Iztok Fister Jr. <iztok@iztok-jr-fister.eu> - 0.5.2-1
- Update to 0.5.2

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 26 2024 Python Maint <python-maint@redhat.com> - 0.5.0-2
- Rebuilt for Python 3.13

* Mon Mar 25 2024 Iztok Fister Jr. <iztok@iztok-jr-fister.eu> - 0.5.0-1
- Update to 0.5.0

* Fri Feb 9 2024 Iztok Fister Jr. <iztok@iztok-jr-fister.eu> - 0.4.3-1
- Update to 0.4.3
- Update docs

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Oct 2 2023 Iztok Fister Jr. <iztok@iztok-jr-fister.eu> - 0.4.2-1
- Update to 0.4.2

* Mon Sep 11 2023 Iztok Fister Jr. <iztok@iztok-jr-fister.eu> - 0.4.1-1
- Update to 0.4.1

* Fri Aug 11 2023 Iztok Fister Jr. <iztok@iztok-jr-fister.eu> - 0.4.0-3
- Rebuilt

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 3 2023 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.4.0-1
- Update to the latest release

* Wed Feb 1 2023 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.3.2-1
- Update to the latest release

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 6 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.3.1-1
- Update to the latest release

* Sat Nov 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.0-2
- Exclude architectures that lack qtwebengine

* Thu Sep 15 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.3.0-1
- Update to the latest release

* Fri Aug 19 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.2.1-1
- Update to the latest release

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 7 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.1.4-1
- Update to the latest release

* Tue May 3 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.1.3-2
- Update to the latest release

* Tue May 3 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.1.3-1
- Update to the latest release

* Tue Mar 1 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.1.2-1
- Initial package

## END: Generated by rpmautospec
